/**
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Encapsulates errors from the StatsReporting interface to indicate an implementation specific
 * error.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class StatsReportingException extends FileStatisticsException {
    /**
     * <p>
     * Constructs an instance with message (no checks).
     * </p>
     *
     * @param message the message
     */
    public StatsReportingException(String message) {
        super(message);
    }

    /**
     * <p>
     * Constructs an instance with message and cause (no checks).
     * </p>
     *
     * @param message the message
     * @param cause the cause
     */
    public StatsReportingException(String message, Throwable cause) {
        super(message, cause);
    }
}
