/*
 * $(#)FileProcessingExceptionTests.java		Sep 6, 2005
 * 
 * Copyright (c) 2005, TopCoder Inc. All rights reserved.
 */

package com.topcoder.file.statistics.failuretests;

import com.topcoder.file.statistics.FileProcessingException;

import junit.framework.TestCase;

/**
 * This test case contains the failure tests for the <code>FileProcessingException</code>
 * class.
 *
 * @author MPhk
 * @version 1.0
 */
public class FileProcessingExceptionTests extends TestCase {

    /**
     * Verifies whether the FileProcessingException(String) constructor properly behaves 
     * when receives null arguments. It should not throw any exception.
     */
    public void testFileProcessingException1() {
        try {
            new FileProcessingException(null);
        } catch (Exception e) {
            fail("Exception not expected when calling FileProcessingException(String)");
        }
    }
    
    /**
     * Verifies whether the FileProcessingException(String, Throwable) constructor properly behaves 
     * when receives null arguments. It should not throw any exception.
     */
    public void testFileProcessingException2() {
        try {
            new FileProcessingException(null, new Exception());
        } catch (Exception e) {
            fail("Exception not expected when calling FileProcessingException(String, Throwable)");
        }
    }
    
    /**
     * Verifies whether the FileProcessingException(String, Throwable) constructor properly behaves 
     * when receives null arguments. It should not throw any exception.
     */
    public void testFileProcessingException3() {
        try {
            new FileProcessingException("msg", null);
        } catch (Exception e) {
            fail("Exception not expected when calling FileProcessingException(String, Throwable)");
        }
    }
    
    /**
     * Verifies whether the FileProcessingException(String) constructor properly behaves 
     * when receives null arguments. It should not throw any exception.
     */
    public void testFileProcessingException4() {
        try {
            new FileProcessingException(null, null);
        } catch (Exception e) {
            fail("Exception not expected when calling FileProcessingException(String, Throwable)");
        }
    }
    
}
