/*
 * $(#)FileStatisticsExceptionTests.java		Sep 6, 2005
 * 
 * Copyright (c) 2005, TopCoder Inc. All rights reserved.
 */

package com.topcoder.file.statistics.failuretests;

import com.topcoder.file.statistics.FileStatisticsException;

import junit.framework.TestCase;

/**
 * This test case contains the failure tests for the <code>FileStatisticsException</code>
 * class.
 *
 * @author MPhk
 * @version 1.0
 */
public class FileStatisticsExceptionTests extends TestCase {

    /**
     * Verifies whether the FileStatisticsException(String) constructor properly behaves 
     * when receives null arguments. It should not throw any exception.
     */
    public void testFileStatisticsException1() {
        try {
            new FileStatisticsException(null);
        } catch (Exception e) {
            fail("Exception not expected when calling FileStatisticsException(String)");
        }
    }
    
    /**
     * Verifies whether the FileStatisticsException(String, Throwable) constructor properly behaves 
     * when receives null arguments. It should not throw any exception.
     */
    public void testFileStatisticsException2() {
        try {
            new FileStatisticsException(null, new Exception());
        } catch (Exception e) {
            fail("Exception not expected when calling FileStatisticsException(String, Throwable)");
        }
    }
    
    /**
     * Verifies whether the FileStatisticsException(String, Throwable) constructor properly behaves 
     * when receives null arguments. It should not throw any exception.
     */
    public void testFileStatisticsException3() {
        try {
            new FileStatisticsException("msg", null);
        } catch (Exception e) {
            fail("Exception not expected when calling FileStatisticsException(String, Throwable)");
        }
    }
    
    /**
     * Verifies whether the FileStatisticsException(String) constructor properly behaves 
     * when receives null arguments. It should not throw any exception.
     */
    public void testFileStatisticsException4() {
        try {
            new FileStatisticsException(null, null);
        } catch (Exception e) {
            fail("Exception not expected when calling FileStatisticsException(String, Throwable)");
        }
    }
    
}
