/*
 * $(#)MetricTests.java		Sep 6, 2005
 * 
 * Copyright (c) 2005, TopCoder Inc. All rights reserved.
 */

package com.topcoder.file.statistics.failuretests;

import com.topcoder.file.statistics.Metric;

import junit.framework.TestCase;

/**
 * This test case contains the failure tests for the <code>Metric</code>
 * class.
 *
 * @author MPhk
 * @version 1.0
 */
public class MetricTests extends TestCase {

    /**
     * Checks whether the constructor Metric(String, String, String) properly throws
     * NullPointerException for null argument.
     */
    public void testMetric1() {
        try {
            new Metric(null, "disp", "desc");
            fail("NullPointerException should be thrown");
        } catch (NullPointerException e) {
            // success
        }
    }

    /**
     * Checks whether the constructor Metric(String, String, String) properly throws
     * NullPointerException for null argument.
     */
    public void testMetric2() {
        try {
            new Metric("name", null, "desc");
            fail("NullPointerException should be thrown");
        } catch (NullPointerException e) {
            // success
        }
    }

    /**
     * Checks whether the constructor Metric(String, String, String) properly throws
     * NullPointerException for null argument.
     */
    public void testMetric3() {
        try {
            new Metric("name", "disp", null);
            fail("NullPointerException should be thrown");
        } catch (NullPointerException e) {
            // success
        }
    }

    /**
     * Checks whether the constructor Metric(String, String, String) properly throws
     * IllegalArgumentException for empty String argument.
     */
    public void testMetric4() {
        try {
            new Metric("", "disp", "desc");
            fail("IllegalArgumentException should be thrown");
        } catch (IllegalArgumentException e) {
            // success
        }
    }

    /**
     * Checks whether the constructor Metric(String, String, String) properly throws
     * IllegalArgumentException for empty String argument.
     */
    public void testMetric5() {
        try {
            new Metric("name", " ", "desc");
            fail("IllegalArgumentException should be thrown");
        } catch (IllegalArgumentException e) {
            // success
        }
    }

    /**
     * Checks whether the constructor Metric(String, String, String) properly throws
     * IllegalArgumentException for empty String argument.
     */
    public void testMetric6() {
        try {
            new Metric("name", "disp", "         ");
            fail("IllegalArgumentException should be thrown");
        } catch (IllegalArgumentException e) {
            // success
        }
    }

}
