/*
 * $(#)AnyFileMatcherTests.java		Sep 6, 2005
 * 
 * Copyright (c) 2005, TopCoder Inc. All rights reserved.
 */

package com.topcoder.file.statistics.failuretests.matcher;

import com.topcoder.file.statistics.matcher.AnyFileMatcher;

import junit.framework.TestCase;

/**
 * This test case contains the failure tests for the <code>AnyFileMatcher</code>
 * class.
 *
 * @author MPhk
 * @version 1.0
 */
public class AnyFileMatcherTests extends TestCase {

    /**
     * Checks whether the constructor AnyFileMatcher(Property) properly throws
     * NullPointerException for null argument.
     */
    public void testAnyFileMatcher() {
        try {
            new AnyFileMatcher(null);
            fail("NullPointerException should be thrown");
        } catch (NullPointerException e) {
            // success
        }
    }
    
    /**
     * Tests the match method with null argument. NullPointerException should be thrown.
     */
    public void testMatch() {
        try {
            new AnyFileMatcher().match(null);
            fail("NullPointerException should be thrown");
        } catch (NullPointerException e) {
            // success
        }
    }
    
}
