/*
 * $(#)FileCategoryMatcherTests.java		Sep 6, 2005
 * 
 * Copyright (c) 2005, TopCoder Inc. All rights reserved.
 */

package com.topcoder.file.statistics.failuretests.matcher;

import java.io.File;
import java.io.IOException;

import com.topcoder.file.statistics.matcher.FileCategoryMatcher;

import junit.framework.TestCase;

/**
 * This test case contains the failure tests for the <code>FileCategoryMatcher</code>
 * class.
 *
 * @author MPhk
 * @version 1.0
 */
public class FileCategoryMatcherTests extends TestCase {

    /**
     * The the base path of the test files.
     */
    private static final String BASE_PATH = "test_files/failuretests/matcher/";
    
    /**
     * Tests the isBinary method with null argument. NullPointerException should be thrown.
     * 
     * @throws IOException  if the file is not found
     */
    public void testIsBinary1() throws IOException {
        try {
            FileCategoryMatcher.isBinary(null);
            fail("NullPointerException should be thrown");
        } catch (NullPointerException e) {
            // success
        }
    }
    
    /**
     * Tests the isBinary method for a file that does not exist. IOException should be thrown.
     */
    public void testIsBinary2() {
        try {
            FileCategoryMatcher.isBinary(new File(BASE_PATH));
            fail("IOException should be thrown");
        } catch (IOException ioe) {
            // success
        }
    }
    
}
